Bug 817584 - nouveau bug locks screen
nouveau bug locks screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
nouveau first=3.3.2-8 tested=3.3.4-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 10:50 EDT by joshua
Modified: 2013-07-31 17:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:48:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-04-30 10:50:30 EDT
Description of problem:

When starting F17 Beta, X works.... until I start Chrome, with a large number of tabs.  Something about doing that triggers X to lock up, with these lines in dmesg being produced when it does so:

[  243.253301] [drm] nouveau 0000:05:00.0: PFIFO: write fault at 0x0000ffd000 [PAGE_NOT_PRESENT] from BAR3/BAR_WRITE on channel 0x0000068000
[  243.253308] [drm] nouveau 0000:05:00.0: PFIFO: unknown status 0x40000000
[  243.256352] [drm] nouveau 0000:05:00.0: PFIFO: write fault at 0x0000010000 [PT_NOT_PRESENT] from BAR1/BAR_WRITE on channel 0x0000072000
[  243.256360] [drm] nouveau 0000:05:00.0: PFIFO: unknown status 0x40000000

The video card I have is thus:

05:00.0 VGA compatible controller: nVidia Corporation GF104 [GeForce GTX 460] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: eVga.com. Corp. Device 1387
        Flags: bus master, fast devsel, latency 0, IRQ 32
        Memory at fc000000 (32-bit, non-prefetchable) [size=32M]
        Memory at d0000000 (64-bit, prefetchable) [size=128M]
        Memory at d8000000 (64-bit, prefetchable) [size=64M]
        I/O ports at e000 [size=128]
        Expansion ROM at fe000000 [disabled] [size=512K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nouveau
        Kernel modules: nouveau

and

06:00.0 VGA compatible controller: nVidia Corporation GF104 [GeForce GTX 460] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: eVga.com. Corp. Device 1387
        Flags: bus master, fast devsel, latency 0, IRQ 34
        Memory at f8000000 (32-bit, non-prefetchable) [size=32M]
        Memory at c0000000 (64-bit, prefetchable) [size=128M]
        Memory at c8000000 (64-bit, prefetchable) [size=64M]
        I/O ports at d000 [size=128]
        Expansion ROM at fa000000 [disabled] [size=512K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nouveau
        Kernel modules: nouveau



Version-Release number of selected component (if applicable):

All updates as of Apr 30th, the screen locks up with both of these kernels:
kernel-3.3.2-8.fc17.x86_64
kernel-3.3.4-1.fc17.x86_64
Comment 1 Josh Boyer 2012-07-10 13:14:57 EDT
Does this still happen with the 3.4.4-5 kernel?
Comment 2 joshua 2012-07-10 16:35:01 EDT
I've only been running it a little while now, so I can't say yet.  It usually takes 2 to 7 days for this lockup to occur.  I'll keep you posted.
Comment 3 Fedora End Of Life 2013-07-03 17:02:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 17:48:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.